--- title: "GET | List agents" slug: "api-a2a-get-list-agents" updated: 2026-11-03T14:48:14Z published: 2026-11-03T14:48:14Z canonical: "docs.senhasegura.io/api-a2a-get-list-agents" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # GET | List agents Retrieves the list of agents registered in the **Network Connector.** ## Requirements - Have authorization with **access** and **read and write** permissions for the **System** resource, granted by the administrator in **A2A**. - Learn more in [How to manage authorizations](/v4-2/docs/how-to-manage-authorizations-in-a2a). ## Request ### Method and endpoint ``` GET /api/system/nc/agent ``` ### Mandatory headers | Name | Type | Mandatory | Description | | --- | --- | --- | --- | | **Authorization** | string | Yes | Authentication Bearer token. | ### Request example #### **cURL** ``` curl -X GET "https://{URL}/api/system/nc/agent" \ -H "Authorization: Bearer {TOKEN}" ``` ### Status code ``` HTTP/1.1 200 OK ``` ### Response ``` { "code": 200, "response": { "status": 200, "message": "1 agent found", "error": false, "error_code": 0, "detail": "", "mensagem": "1 agent found", "erro": false, "cod_erro": 0 }, "agent": [ { "id": "1", "name": "Default", "port": "30000", "fingerprint": "Zk9YalVUVDRaeWh2b0FKb29uWmhESk44VVdqcEZkSE1qSUZKMkREUjlOdz06Um1kSlUyWlRSbkYwVEZCb2ExUjNRenAzUkhkellXMVJhMWQyWldad1NXSnI=" } ] } ``` ### Response fields | Field | Type | Description | | --- | --- | --- | | `code` | int | HTTP response code. | | `response.status` | int | HTTP status code. | | `response.message` | string | Descriptive response message. | | `response.error` | boolean | Indicates whether an error occurred in the request, returning true or false. | | `agent` | array | List of registered agents. | #### Details of `agent` array objects | Field | Type | Description | | --- | --- | --- | | `id` | int | Unique identification code of the agent is automatically generated by Segura™. | | `name` | string | Agent name. | | `port` | string | Port number automatically generated by the system to connect the agent to the instance. | | `fingerprint` | string | Unique hash generated by the system to connect the agent to the port. **Note:** If the **Enable encryption of sensitive information** option is enabled, this information will be protected. To view it, download the decryption key. | ## Error codes and solutions | Code | Error | Description | Solution | | --- | --- | --- | --- | | **401** | `unauthorized` | The user does not have permission to access this resource. | Verify that the Bearer token is correct and updated. Confirm that the user has the appropriate permissions. | | **404** | `agent_not_found` | The requested agent was not found. | Ensure that the agent exists and that the provided ID is correct. | | **500** | `http_referer_not_allowed` | The request was blocked because the origin (Referer) is not allowed by the server. | Confirm that the request is being made from an authorized domain. Check security and CORS settings. | ### Response example for 404 error ``` { "code": 404, "message": "Agent not found", "error": true, "error_code": 1001 } ``` ### Response example for 500 error ``` { "code": 500, "response": { "status": 500, "message": "The http referer is not allowed", "error": true, "error_code": 1105, "detail": "", "mensagem": "The http referer is not allowed", "erro": true, "cod_erro": 1105 }, "tenant": "Segura" } ```